# Regular Expressions

## Detailed Description

A facility for performing regular expression pattern matching.

## Namespaces

- namespace std::regex_constants

## Classes

- class std::basic_regex< _Ch_type, _Rx_traits >
- class std::match_results< _Bi_iter, _Allocator >
- class std::regex_error
- class std::regex_iterator< _Bi_iter, _Ch_type, _Rx_traits >
- class std::regex_token_iterator< _Bi_iter, _Ch_type, _Rx_traits >
- struct std::regex_traits< _Ch_type >
- class std::sub_match< _BiIter >

## Typedefs

- typedef match_results< const
  char * > std::cmatch
- typedef regex_iterator< const
  char * > std::cregex_iterator
- typedef regex_token_iterator<
  const char * > std::cregex_token_iterator
- typedef sub_match< const char * > std::csub_match
- typedef basic_regex< char > std::regex
- typedef match_results< string::const_iterator > std::smatch
- typedef regex_iterator< string::const_iterator > std::sregex_iterator
- typedef regex_token_iterator<
  string::const_iterator > std::sregex_token_iterator
- typedef sub_match< string::const_iterator > std::ssub_match
- typedef match_results< const
  wchar_t * > std::wcmatch
- typedef regex_iterator< const
  wchar_t * > std::wcregex_iterator
- typedef regex_token_iterator<
  const wchar_t * > std::wcregex_token_iterator
- typedef sub_match< const wchar_t * > std::wcsub_match
- typedef basic_regex< wchar_t > std::wregex
- typedef match_results< wstring::const_iterator > std::wsmatch
- typedef regex_iterator< wstring::const_iterator > std::wsregex_iterator
- typedef regex_token_iterator<
  wstring::const_iterator > std::wsregex_token_iterator
- typedef sub_match< wstring::const_iterator > std::wssub_match

## Functions

- template<typename _Bi_iter, class _Allocator> bool std::operator!= (const match_results< _Bi_iter, _Allocator > &__m1, const match_results< _Bi_iter, _Allocator > &__m2)
- template<typename _Bi_iter> bool std::operator!= (const sub_match< _Bi_iter > &__lhs, typename iterator_traits< _Bi_iter >::value_type const &__rhs)
- template<typename _Bi_iter> bool std::operator!= (typename iterator_traits< _Bi_iter >::value_type const &__lhs, const sub_match< _Bi_iter > &__rhs)
- template<typename _Bi_iter> bool std::operator!= (const sub_match< _Bi_iter > &__lhs, typename iterator_traits< _Bi_iter >::value_type const *__rhs)
- template<typename _Bi_iter> bool std::operator!= (typename iterator_traits< _Bi_iter >::value_type const *__lhs, const sub_match< _Bi_iter > &__rhs)
- template<typename _Bi_iter, typename _Ch_traits, typename _Ch_alloc> bool std::operator!= (const sub_match< _Bi_iter > &__lhs, const basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc > &__rhs)
- template<typename _Bi_iter, typename _Ch_traits, typename _Ch_alloc> bool std::operator!= (const basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc > &__lhs, const sub_match< _Bi_iter > &__rhs)
- template<typename _BiIter> bool std::operator!= (const sub_match< _BiIter > &__lhs, const sub_match< _BiIter > &__rhs)
- template<typename _Bi_iter> bool std::operator< (const sub_match< _Bi_iter > &__lhs, typename iterator_traits< _Bi_iter >::value_type const &__rhs)
- template<typename _Bi_iter> bool std::operator< (typename iterator_traits< _Bi_iter >::value_type const &__lhs, const sub_match< _Bi_iter > &__rhs)
- template<typename _Bi_iter> bool std::operator< (const sub_match< _Bi_iter > &__lhs, typename iterator_traits< _Bi_iter >::value_type const *__rhs)
- template<typename _Bi_iter> bool std::operator< (typename iterator_traits< _Bi_iter >::value_type const *__lhs, const sub_match< _Bi_iter > &__rhs)
- template<typename _Bi_iter, class _Ch_traits, class _Ch_alloc> bool std::operator< (const sub_match< _Bi_iter > &__lhs, const basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc > &__rhs)
- template<typename _Bi_iter, typename _Ch_traits, typename _Ch_alloc> bool std::operator< (const basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc > &__lhs, const sub_match< _Bi_iter > &__rhs)
- template<typename _BiIter> bool std::operator< (const sub_match< _BiIter > &__lhs, const sub_match< _BiIter > &__rhs)
- template<typename _Ch_type, typename _Ch_traits, typename _Bi_iter> basic_ostream< _Ch_type, _Ch_traits > & std::operator<< (basic_ostream< _Ch_type, _Ch_traits > &__os, const sub_match< _Bi_iter > &__m)
- template<typename _Bi_iter> bool std::operator<= (const sub_match< _Bi_iter > &__lhs, typename iterator_traits< _Bi_iter >::value_type const &__rhs)
- template<typename _Bi_iter> bool std::operator<= (typename iterator_traits< _Bi_iter >::value_type const &__lhs, const sub_match< _Bi_iter > &__rhs)
- template<typename _Bi_iter> bool std::operator<= (const sub_match< _Bi_iter > &__lhs, typename iterator_traits< _Bi_iter >::value_type const *__rhs)
- template<typename _Bi_iter> bool std::operator<= (typename iterator_traits< _Bi_iter >::value_type const *__lhs, const sub_match< _Bi_iter > &__rhs)
- template<typename _Bi_iter, class _Ch_traits, class _Ch_alloc> bool std::operator<= (const sub_match< _Bi_iter > &__lhs, const basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc > &__rhs)
- template<typename _Bi_iter, typename _Ch_traits, typename _Ch_alloc> bool std::operator<= (const basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc > &__lhs, const sub_match< _Bi_iter > &__rhs)
- template<typename _BiIter> bool std::operator<= (const sub_match< _BiIter > &__lhs, const sub_match< _BiIter > &__rhs)
- template<typename _Bi_iter, typename _Allocator> bool std::operator== (const match_results< _Bi_iter, _Allocator > &__m1, const match_results< _Bi_iter, _Allocator > &__m2)
- template<typename _Bi_iter> bool std::operator== (const sub_match< _Bi_iter > &__lhs, typename iterator_traits< _Bi_iter >::value_type const &__rhs)
- template<typename _Bi_iter> bool std::operator== (typename iterator_traits< _Bi_iter >::value_type const &__lhs, const sub_match< _Bi_iter > &__rhs)
- template<typename _Bi_iter> bool std::operator== (const sub_match< _Bi_iter > &__lhs, typename iterator_traits< _Bi_iter >::value_type const *__rhs)
- template<typename _Bi_iter> bool std::operator== (typename iterator_traits< _Bi_iter >::value_type const *__lhs, const sub_match< _Bi_iter > &__rhs)
- template<typename _Bi_iter, typename _Ch_traits, typename _Ch_alloc> bool std::operator== (const sub_match< _Bi_iter > &__lhs, const basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc > &__rhs)
- template<typename _Bi_iter, typename _Ch_traits, typename _Ch_alloc> bool std::operator== (const basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc > &__lhs, const sub_match< _Bi_iter > &__rhs)
- template<typename _BiIter> bool std::operator== (const sub_match< _BiIter > &__lhs, const sub_match< _BiIter > &__rhs)
- template<typename _Bi_iter> bool std::operator> (const sub_match< _Bi_iter > &__lhs, typename iterator_traits< _Bi_iter >::value_type const &__rhs)
- template<typename _Bi_iter> bool std::operator> (typename iterator_traits< _Bi_iter >::value_type const &__lhs, const sub_match< _Bi_iter > &__rhs)
- template<typename _Bi_iter> bool std::operator> (const sub_match< _Bi_iter > &__lhs, typename iterator_traits< _Bi_iter >::value_type const *__rhs)
- template<typename _Bi_iter> bool std::operator> (typename iterator_traits< _Bi_iter >::value_type const *__lhs, const sub_match< _Bi_iter > &__rhs)
- template<typename _Bi_iter, class _Ch_traits, class _Ch_alloc> bool std::operator> (const sub_match< _Bi_iter > &__lhs, const basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc > &__rhs)
- template<typename _Bi_iter, typename _Ch_traits, typename _Ch_alloc> bool std::operator> (const basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc > &__lhs, const sub_match< _Bi_iter > &__rhs)
- template<typename _BiIter> bool std::operator> (const sub_match< _BiIter > &__lhs, const sub_match< _BiIter > &__rhs)
- template<typename _Bi_iter> bool std::operator>= (const sub_match< _Bi_iter > &__lhs, typename iterator_traits< _Bi_iter >::value_type const &__rhs)
- template<typename _Bi_iter> bool std::operator>= (typename iterator_traits< _Bi_iter >::value_type const &__lhs, const sub_match< _Bi_iter > &__rhs)
- template<typename _Bi_iter> bool std::operator>= (const sub_match< _Bi_iter > &__lhs, typename iterator_traits< _Bi_iter >::value_type const *__rhs)
- template<typename _Bi_iter> bool std::operator>= (typename iterator_traits< _Bi_iter >::value_type const *__lhs, const sub_match< _Bi_iter > &__rhs)
- template<typename _Bi_iter, class _Ch_traits, class _Ch_alloc> bool std::operator>= (const sub_match< _Bi_iter > &__lhs, const basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc > &__rhs)
- template<typename _Bi_iter, typename _Ch_traits, typename _Ch_alloc> bool std::operator>= (const basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc > &__lhs, const sub_match< _Bi_iter > &__rhs)
- template<typename _BiIter> bool std::operator>= (const sub_match< _BiIter > &__lhs, const sub_match< _BiIter > &__rhs)
- template<typename _Ch_traits, typename _Str_allocator, typename _Ch_type, typename _Rx_traits> bool std::regex_match (const basic_string< _Ch_type, _Ch_traits, _Str_allocator > &__s, const basic_regex< _Ch_type, _Rx_traits > &__re, regex_constants::match_flag_type __flags=regex_constants::match_default)
- template<typename _Ch_type, class _Rx_traits> bool std::regex_match (const _Ch_type *__s, const basic_regex< _Ch_type, _Rx_traits > &__re, regex_constants::match_flag_type __f=regex_constants::match_default)
- template<typename _Ch_traits, typename _Ch_alloc, typename _Allocator, typename _Ch_type, typename _Rx_traits> bool std::regex_match (const basic_string< _Ch_type, _Ch_traits, _Ch_alloc > &__s, match_results< typename basic_string< _Ch_type, _Ch_traits, _Ch_alloc >::const_iterator, _Allocator > &__m, const basic_regex< _Ch_type, _Rx_traits > &__re, regex_constants::match_flag_type __flags=regex_constants::match_default)
- template<typename _Ch_type, typename _Allocator, typename _Rx_traits> bool std::regex_match (const _Ch_type *__s, match_results< const _Ch_type *, _Allocator > &__m, const basic_regex< _Ch_type, _Rx_traits > &__re, regex_constants::match_flag_type __f=regex_constants::match_default)
- template<typename _Bi_iter, typename _Ch_type, typename _Rx_traits> bool std::regex_match (_Bi_iter __first, _Bi_iter __last, const basic_regex< _Ch_type, _Rx_traits > &__re, regex_constants::match_flag_type __flags=regex_constants::match_default)
- template<typename _Bi_iter, typename _Allocator, typename _Ch_type, typename _Rx_traits> bool std::regex_match (_Bi_iter __first, _Bi_iter __last, match_results< _Bi_iter, _Allocator > &__m, const basic_regex< _Ch_type, _Rx_traits > &__re, regex_constants::match_flag_type __flags=regex_constants::match_default)
- template<typename _Rx_traits, typename _Ch_type> basic_string< _Ch_type > std::regex_replace (const basic_string< _Ch_type > &__s, const basic_regex< _Ch_type, _Rx_traits > &__e, const basic_string< _Ch_type > &__fmt, regex_constants::match_flag_type __flags=regex_constants::match_default)
- template<typename _Out_iter, typename _Bi_iter, typename _Rx_traits, typename _Ch_type> _Out_iter std::regex_replace (_Out_iter __out, _Bi_iter __first, _Bi_iter __last, const basic_regex< _Ch_type, _Rx_traits > &__e, const basic_string< _Ch_type > &__fmt, regex_constants::match_flag_type __flags=regex_constants::match_default)
- template<typename _Ch_traits, typename _Ch_alloc, typename _Allocator, typename _Ch_type, typename _Rx_traits> bool std::regex_search (const basic_string< _Ch_type, _Ch_traits, _Ch_alloc > &__s, match_results< typename basic_string< _Ch_type, _Ch_traits, _Ch_alloc >::const_iterator, _Allocator > &__m, const basic_regex< _Ch_type, _Rx_traits > &__e, regex_constants::match_flag_type __f=regex_constants::match_default)
- template<typename _Ch_traits, typename _String_allocator, typename _Ch_type, typename _Rx_traits> bool std::regex_search (const basic_string< _Ch_type, _Ch_traits, _String_allocator > &__s, const basic_regex< _Ch_type, _Rx_traits > &__e, regex_constants::match_flag_type __flags=regex_constants::match_default)
- template<typename _Ch_type, typename _Rx_traits> bool std::regex_search (const _Ch_type *__s, const basic_regex< _Ch_type, _Rx_traits > &__e, regex_constants::match_flag_type __f=regex_constants::match_default)
- template<typename _Ch_type, class _Allocator, class _Rx_traits> bool std::regex_search (const _Ch_type *__s, match_results< const _Ch_type *, _Allocator > &__m, const basic_regex< _Ch_type, _Rx_traits > &__e, regex_constants::match_flag_type __f=regex_constants::match_default)
- template<typename _Bi_iter, typename _Ch_type, typename _Rx_traits> bool std::regex_search (_Bi_iter __first, _Bi_iter __last, const basic_regex< _Ch_type, _Rx_traits > &__re, regex_constants::match_flag_type __flags=regex_constants::match_default)
- template<typename _Bi_iter, typename _Allocator, typename _Ch_type, typename _Rx_traits> bool std::regex_search (_Bi_iter __first, _Bi_iter __last, match_results< _Bi_iter, _Allocator > &__m, const basic_regex< _Ch_type, _Rx_traits > &__re, regex_constants::match_flag_type __flags=regex_constants::match_default)
- template<typename _Bi_iter, typename _Allocator> void std::swap (match_results< _Bi_iter, _Allocator > &__lhs, match_results< _Bi_iter, _Allocator > &__rhs)
- template<typename _Ch_type, typename _Rx_traits> void std::swap (basic_regex< _Ch_type, _Rx_traits > &__lhs, basic_regex< _Ch_type, _Rx_traits > &__rhs)

## Function Documentation

template<typename _Bi_iter, class _Allocator>

bool std::operator!= | ( | const match_results< _Bi_iter, _Allocator > & | __m1,
|  | const match_results< _Bi_iter, _Allocator > & | __m2 |
| ) |  |  | `[inline]`

Todo:
  Implement this function.

template<typename _Bi_iter>

bool std::operator!= | ( | const sub_match< _Bi_iter > & | __lhs,
|  | typename iterator_traits< _Bi_iter >::value_type const & | __rhs |
| ) |  |  | `[inline]`

Tests the inequivalence of a regular expression submatch and a string.

Parameters:

  | lhs | A regular expression submatch.
  | rhs | A const string reference.

Returns:
  true if lhs is not equivalent to rhs, false otherwise.

Definition at line 1536 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _Bi_iter>

bool std::operator!= | ( | typename iterator_traits< _Bi_iter >::value_type const & | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs |
| ) |  |  | `[inline]`

Tests the inequivalence of a string and a regular expression submatch.

Parameters:

  | lhs | A string.
  | rhs | A regular expression submatch.

Returns:
  true if lhs is not equivalent to rhs, false otherwise.

Definition at line 1462 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _Bi_iter>

bool std::operator!= | ( | const sub_match< _Bi_iter > & | __lhs,
|  | typename iterator_traits< _Bi_iter >::value_type const * | __rhs |
| ) |  |  | `[inline]`

Tests the inequivalence of a regular expression submatch and a string.

Parameters:

  | lhs | A regular expression submatch.
  | rhs | A pointer to a string.

Returns:
  true if lhs is not equivalent to rhs, false otherwise.

Definition at line 1388 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _Bi_iter>

bool std::operator!= | ( | typename iterator_traits< _Bi_iter >::value_type const * | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs |
| ) |  |  | `[inline]`

Tests the inequivalence of an iterator value and a regular expression submatch.

Parameters:

  | lhs | A regular expression submatch.
  | rhs | A string.

Returns:
  true if lhs is not equivalent to rhs, false otherwise.

Definition at line 1314 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _Bi_iter, typename _Ch_traits, typename _Ch_alloc>

bool std::operator!= | ( | const sub_match< _Bi_iter > & | __lhs,
|  | const basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc > & | __rhs |
| ) |  |  | `[inline]`

Tests the inequivalence of a regular expression submatch and a string.

Parameters:

  | lhs | A regular expression submatch.
  | rhs | A string.

Returns:
  true if lhs is not equivalent to rhs, false otherwise.

Definition at line 1230 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _Bi_iter, typename _Ch_traits, typename _Ch_alloc>

bool std::operator!= | ( | const basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc > & | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs |
| ) |  |  | `[inline]`

Tests the inequivalence of a string and a regular expression submatch.

Parameters:

  | lhs | A string.
  | rhs | A regular expression submatch.

Returns:
  true if lhs is not equivalent to rhs, false otherwise.

Definition at line 1149 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _BiIter>

bool std::operator!= | ( | const sub_match< _BiIter > & | __lhs,
|  | const sub_match< _BiIter > & | __rhs |
| ) |  |  | `[inline]`

Tests the inequivalence of two regular expression submatches.

Parameters:

  | lhs | First regular expression submatch.
  | rhs | Second regular expression submatch.

Returns:
  true if lhs is not equivalent to rhs, false otherwise.

Definition at line 1073 of file tr1_impl/regex.

References std::sub_match< _BiIter >::compare().

template<typename _Bi_iter>

bool std::operator< | ( | const sub_match< _Bi_iter > & | __lhs,
|  | typename iterator_traits< _Bi_iter >::value_type const & | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of a regular expression submatch and a string.

Parameters:

  | lhs | A regular expression submatch.
  | rhs | A const string reference.

Returns:
  true if lhs precedes rhs, false otherwise.

Definition at line 1548 of file tr1_impl/regex.

template<typename _Bi_iter>

bool std::operator< | ( | typename iterator_traits< _Bi_iter >::value_type const & | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of a string and a regular expression submatch.

Parameters:

  | lhs | A string.
  | rhs | A regular expression submatch.

Returns:
  true if lhs precedes rhs, false otherwise.

Definition at line 1474 of file tr1_impl/regex.

template<typename _Bi_iter>

bool std::operator< | ( | const sub_match< _Bi_iter > & | __lhs,
|  | typename iterator_traits< _Bi_iter >::value_type const * | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of a regular expression submatch and a string.

Parameters:

  | lhs | A regular expression submatch.
  | rhs | A string.

Returns:
  true if lhs precedes rhs, false otherwise.

Definition at line 1400 of file tr1_impl/regex.

template<typename _Bi_iter>

bool std::operator< | ( | typename iterator_traits< _Bi_iter >::value_type const * | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of a string and a regular expression submatch.

Parameters:

  | lhs | A string.
  | rhs | A regular expression submatch.

Returns:
  true if lhs precedes rhs, false otherwise.

Definition at line 1326 of file tr1_impl/regex.

template<typename _Bi_iter, class _Ch_traits, class _Ch_alloc>

bool std::operator< | ( | const sub_match< _Bi_iter > & | __lhs,
|  | const basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc > & | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of a regular expression submatch and a string.

Parameters:

  | lhs | A regular expression submatch.
  | rhs | A string.

Returns:
  true if lhs precedes rhs, false otherwise.

Definition at line 1244 of file tr1_impl/regex.

template<typename _Bi_iter, typename _Ch_traits, typename _Ch_alloc>

bool std::operator< | ( | const basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc > & | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of a string and a regular expression submatch.

Parameters:

  | lhs | A string.
  | rhs | A regular expression submatch.

Returns:
  true if lhs precedes rhs, false otherwise.

Definition at line 1162 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _BiIter>

bool std::operator< | ( | const sub_match< _BiIter > & | __lhs,
|  | const sub_match< _BiIter > & | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of two regular expression submatches.

Parameters:

  | lhs | First regular expression submatch.
  | rhs | Second regular expression submatch.

Returns:
  true if lhs precedes rhs, false otherwise.

Definition at line 1085 of file tr1_impl/regex.

template<typename _Ch_type, typename _Ch_traits, typename _Bi_iter>

basic_ostream<_Ch_type, _Ch_traits>& std::operator<< | ( | basic_ostream< _Ch_type, _Ch_traits > & | __os,
|  | const sub_match< _Bi_iter > & | __m |
| ) |  |  | `[inline]`

Inserts a matched string into an output stream.

Parameters:

  | os | The output stream.
  | m | A submatch string.

Returns:
  the output stream with the submatch string inserted.

Definition at line 1599 of file tr1_impl/regex.

template<typename _Bi_iter>

bool std::operator<= | ( | const sub_match< _Bi_iter > & | __lhs,
|  | typename iterator_traits< _Bi_iter >::value_type const & | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of a regular expression submatch and a string.

Parameters:

  | lhs | A regular expression submatch.
  | rhs | A const string reference.

Returns:
  true if lhs does not succeed rhs, false otherwise.

Definition at line 1584 of file tr1_impl/regex.

template<typename _Bi_iter>

bool std::operator<= | ( | typename iterator_traits< _Bi_iter >::value_type const & | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of a string and a regular expression submatch.

Parameters:

  | lhs | A string.
  | rhs | A regular expression submatch.

Returns:
  true if lhs does not succeed rhs, false otherwise.

Definition at line 1510 of file tr1_impl/regex.

template<typename _Bi_iter>

bool std::operator<= | ( | const sub_match< _Bi_iter > & | __lhs,
|  | typename iterator_traits< _Bi_iter >::value_type const * | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of a regular expression submatch and a string.

Parameters:

  | lhs | A regular expression submatch.
  | rhs | A string.

Returns:
  true if lhs does not succeed rhs, false otherwise.

Definition at line 1436 of file tr1_impl/regex.

template<typename _Bi_iter>

bool std::operator<= | ( | typename iterator_traits< _Bi_iter >::value_type const * | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of a string and a regular expression submatch.

Parameters:

  | lhs | A string.
  | rhs | A regular expression submatch.

Returns:
  true if lhs does not succeed rhs, false otherwise.

Definition at line 1362 of file tr1_impl/regex.

template<typename _Bi_iter, class _Ch_traits, class _Ch_alloc>

bool std::operator<= | ( | const sub_match< _Bi_iter > & | __lhs,
|  | const basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc > & | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of a regular expression submatch and a string.

Parameters:

  | lhs | A regular expression submatch.
  | rhs | A string.

Returns:
  true if lhs does not succeed rhs, false otherwise.

Definition at line 1286 of file tr1_impl/regex.

template<typename _Bi_iter, typename _Ch_traits, typename _Ch_alloc>

bool std::operator<= | ( | const basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc > & | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of a string and a regular expression submatch.

Parameters:

  | lhs | A string.
  | rhs | A regular expression submatch.

Returns:
  true if lhs does not succeed rhs, false otherwise.

Definition at line 1201 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _BiIter>

bool std::operator<= | ( | const sub_match< _BiIter > & | __lhs,
|  | const sub_match< _BiIter > & | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of two regular expression submatches.

Parameters:

  | lhs | First regular expression submatch.
  | rhs | Second regular expression submatch.

Returns:
  true if lhs does not succeed rhs, false otherwise.

Definition at line 1097 of file tr1_impl/regex.

template<typename _Bi_iter, typename _Allocator>

bool std::operator== | ( | const match_results< _Bi_iter, _Allocator > & | __m1,
|  | const match_results< _Bi_iter, _Allocator > & | __m2 |
| ) |  |  | `[inline]`

Todo:
  Implement this function.

template<typename _Bi_iter>

bool std::operator== | ( | const sub_match< _Bi_iter > & | __lhs,
|  | typename iterator_traits< _Bi_iter >::value_type const & | __rhs |
| ) |  |  | `[inline]`

Tests the equivalence of a regular expression submatch and a string.

Parameters:

  | lhs | A regular expression submatch.
  | rhs | A const string reference.

Returns:
  true if lhs is equivalent to rhs, false otherwise.

Definition at line 1523 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _Bi_iter>

bool std::operator== | ( | typename iterator_traits< _Bi_iter >::value_type const & | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs |
| ) |  |  | `[inline]`

Tests the equivalence of a string and a regular expression submatch.

Parameters:

  | lhs | A string.
  | rhs | A regular expression submatch.

Returns:
  true if lhs is equivalent to rhs, false otherwise.

Definition at line 1449 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _Bi_iter>

bool std::operator== | ( | const sub_match< _Bi_iter > & | __lhs,
|  | typename iterator_traits< _Bi_iter >::value_type const * | __rhs |
| ) |  |  | `[inline]`

Tests the equivalence of a regular expression submatch and a string.

Parameters:

  | lhs | A regular expression submatch.
  | rhs | A pointer to a string?

Returns:
  true if lhs is equivalent to rhs, false otherwise.

Definition at line 1375 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _Bi_iter>

bool std::operator== | ( | typename iterator_traits< _Bi_iter >::value_type const * | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs |
| ) |  |  | `[inline]`

Tests the equivalence of a C string and a regular expression submatch.

Parameters:

  | lhs | A C string.
  | rhs | A regular expression submatch.

Returns:
  true if lhs is equivalent to rhs, false otherwise.

Definition at line 1301 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _Bi_iter, typename _Ch_traits, typename _Ch_alloc>

bool std::operator== | ( | const sub_match< _Bi_iter > & | __lhs,
|  | const basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc > & | __rhs |
| ) |  |  | `[inline]`

Tests the equivalence of a regular expression submatch and a string.

Parameters:

  | lhs | A regular expression submatch.
  | rhs | A string.

Returns:
  true if lhs is equivalent to rhs, false otherwise.

Definition at line 1215 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _Bi_iter, typename _Ch_traits, typename _Ch_alloc>

bool std::operator== | ( | const basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc > & | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs |
| ) |  |  | `[inline]`

Tests the equivalence of a string and a regular expression submatch.

Parameters:

  | lhs | A string.
  | rhs | A regular expression submatch.

Returns:
  true if lhs is equivalent to rhs, false otherwise.

Definition at line 1134 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _BiIter>

bool std::operator== | ( | const sub_match< _BiIter > & | __lhs,
|  | const sub_match< _BiIter > & | __rhs |
| ) |  |  | `[inline]`

Tests the equivalence of two regular expression submatches.

Parameters:

  | lhs | First regular expression submatch.
  | rhs | Second regular expression submatch.

Returns:
  true if lhs is equivalent to rhs, false otherwise.

Definition at line 1061 of file tr1_impl/regex.

References std::sub_match< _BiIter >::compare().

template<typename _Bi_iter>

bool std::operator> | ( | const sub_match< _Bi_iter > & | __lhs,
|  | typename iterator_traits< _Bi_iter >::value_type const & | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of a regular expression submatch and a string.

Parameters:

  | lhs | A regular expression submatch.
  | rhs | A const string reference.

Returns:
  true if lhs succeeds rhs, false otherwise.

Definition at line 1560 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _Bi_iter>

bool std::operator> | ( | typename iterator_traits< _Bi_iter >::value_type const & | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of a string and a regular expression submatch.

Parameters:

  | lhs | A string.
  | rhs | A regular expression submatch.

Returns:
  true if lhs succeeds rhs, false otherwise.

Definition at line 1486 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _Bi_iter>

bool std::operator> | ( | const sub_match< _Bi_iter > & | __lhs,
|  | typename iterator_traits< _Bi_iter >::value_type const * | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of a regular expression submatch and a string.

Parameters:

  | lhs | A regular expression submatch.
  | rhs | A string.

Returns:
  true if lhs succeeds rhs, false otherwise.

Definition at line 1412 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _Bi_iter>

bool std::operator> | ( | typename iterator_traits< _Bi_iter >::value_type const * | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of a string and a regular expression submatch.

Parameters:

  | lhs | A string.
  | rhs | A regular expression submatch.

Returns:
  true if lhs succeeds rhs, false otherwise.

Definition at line 1338 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _Bi_iter, class _Ch_traits, class _Ch_alloc>

bool std::operator> | ( | const sub_match< _Bi_iter > & | __lhs,
|  | const basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc > & | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of a regular expression submatch and a string.

Parameters:

  | lhs | A regular expression submatch.
  | rhs | A string.

Returns:
  true if lhs succeeds rhs, false otherwise.

Definition at line 1258 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _Bi_iter, typename _Ch_traits, typename _Ch_alloc>

bool std::operator> | ( | const basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc > & | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of a string and a regular expression submatch.

Parameters:

  | lhs | A string.
  | rhs | A regular expression submatch.

Returns:
  true if lhs succeeds rhs, false otherwise.

Definition at line 1175 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _BiIter>

bool std::operator> | ( | const sub_match< _BiIter > & | __lhs,
|  | const sub_match< _BiIter > & | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of two regular expression submatches.

Parameters:

  | lhs | First regular expression submatch.
  | rhs | Second regular expression submatch.

Returns:
  true if lhs succeeds rhs, false otherwise.

Definition at line 1121 of file tr1_impl/regex.

References std::sub_match< _BiIter >::compare().

template<typename _Bi_iter>

bool std::operator>= | ( | const sub_match< _Bi_iter > & | __lhs,
|  | typename iterator_traits< _Bi_iter >::value_type const & | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of a regular expression submatch and a string.

Parameters:

  | lhs | A regular expression submatch.
  | rhs | A const string reference.

Returns:
  true if lhs does not precede rhs, false otherwise.

Definition at line 1572 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _Bi_iter>

bool std::operator>= | ( | typename iterator_traits< _Bi_iter >::value_type const & | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of a string and a regular expression submatch.

Parameters:

  | lhs | A string.
  | rhs | A regular expression submatch.

Returns:
  true if lhs does not precede rhs, false otherwise.

Definition at line 1498 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _Bi_iter>

bool std::operator>= | ( | const sub_match< _Bi_iter > & | __lhs,
|  | typename iterator_traits< _Bi_iter >::value_type const * | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of a regular expression submatch and a string.

Parameters:

  | lhs | A regular expression submatch.
  | rhs | A string.

Returns:
  true if lhs does not precede rhs, false otherwise.

Definition at line 1424 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _Bi_iter>

bool std::operator>= | ( | typename iterator_traits< _Bi_iter >::value_type const * | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of a string and a regular expression submatch.

Parameters:

  | lhs | A string.
  | rhs | A regular expression submatch.

Returns:
  true if lhs does not precede rhs, false otherwise.

Definition at line 1350 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _Bi_iter, class _Ch_traits, class _Ch_alloc>

bool std::operator>= | ( | const sub_match< _Bi_iter > & | __lhs,
|  | const basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc > & | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of a regular expression submatch and a string.

Parameters:

  | lhs | A regular expression submatch.
  | rhs | A string.

Returns:
  true if lhs does not precede rhs, false otherwise.

Definition at line 1272 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _Bi_iter, typename _Ch_traits, typename _Ch_alloc>

bool std::operator>= | ( | const basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc > & | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of a string and a regular expression submatch.

Parameters:

  | lhs | A string.
  | rhs | A regular expression submatch.

Returns:
  true if lhs does not precede rhs, false otherwise.

Definition at line 1188 of file tr1_impl/regex.

References std::sub_match< _BiIter >::str().

template<typename _BiIter>

bool std::operator>= | ( | const sub_match< _BiIter > & | __lhs,
|  | const sub_match< _BiIter > & | __rhs |
| ) |  |  | `[inline]`

Tests the ordering of two regular expression submatches.

Parameters:

  | lhs | First regular expression submatch.
  | rhs | Second regular expression submatch.

Returns:
  true if lhs does not precede rhs, false otherwise.

Definition at line 1109 of file tr1_impl/regex.

References std::sub_match< _BiIter >::compare().

template<typename _Ch_traits, typename _Str_allocator, typename _Ch_type, typename _Rx_traits>

bool std::regex_match | ( | const basic_string< _Ch_type, _Ch_traits, _Str_allocator > & | __s,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __re,
|  | regex_constants::match_flag_type | __flags = `regex_constants::match_default` |
| ) |  |  | `[inline]`

Indicates if there is a match between the regular expression `e` and a string.

Parameters:

  | s | [IN] The string to match.
  | re | [IN] The regular expression.
  | flags | [IN] Controls how the regular expression is matched.

Return values:

  | true | A match exists.
  | false | Otherwise.

Definition at line 1971 of file tr1_impl/regex.

References std::basic_string< _CharT, _Traits, _Alloc >::begin(), std::basic_string< _CharT, _Traits, _Alloc >::end(), and std::regex_match().

template<typename _Ch_type, class _Rx_traits>

bool std::regex_match | ( | const _Ch_type * | __s,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __re,
|  | regex_constants::match_flag_type | __f = `regex_constants::match_default` |
| ) |  |  | `[inline]`

Indicates if there is a match between the regular expression `e` and a C-style null-terminated string.

Parameters:

  | s | The C-style null-terminated string to match.
  | re | The regular expression.
  | f | Controls how the regular expression is matched.

Return values:

  | true | A match exists.
  | false | Otherwise.

Definition at line 1951 of file tr1_impl/regex.

References std::regex_match().

template<typename _Ch_traits, typename _Ch_alloc, typename _Allocator, typename _Ch_type, typename _Rx_traits>

bool std::regex_match | ( | const basic_string< _Ch_type, _Ch_traits, _Ch_alloc > & | __s,
|  | match_results< typename basic_string< _Ch_type, _Ch_traits, _Ch_alloc >::const_iterator, _Allocator > & | __m,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __re,
|  | regex_constants::match_flag_type | __flags = `regex_constants::match_default` |
| ) |  |  | `[inline]`

Determines if there is a match between the regular expression `e` and a string.

Parameters:

  | s | The string to match.
  | m | The match results.
  | re | The regular expression.
  | flags | Controls how the regular expression is matched.

Return values:

  | true | A match exists.
  | false | Otherwise.

Definition at line 1930 of file tr1_impl/regex.

References std::basic_string< _CharT, _Traits, _Alloc >::begin(), std::basic_string< _CharT, _Traits, _Alloc >::end(), and std::regex_match().

template<typename _Ch_type, typename _Allocator, typename _Rx_traits>

bool std::regex_match | ( | const _Ch_type * | __s,
|  | match_results< const _Ch_type *, _Allocator > & | __m,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __re,
|  | regex_constants::match_flag_type | __f = `regex_constants::match_default` |
| ) |  |  | `[inline]`

Determines if there is a match between the regular expression `e` and a C-style null-terminated string.

Parameters:

  | s | The C-style null-terminated string to match.
  | m | The match results.
  | re | The regular expression.
  | f | Controls how the regular expression is matched.

Return values:

  | true | A match exists.
  | false | Otherwise.

Definition at line 1908 of file tr1_impl/regex.

References std::regex_match().

template<typename _Bi_iter, typename _Ch_type, typename _Rx_traits>

bool std::regex_match | ( | _Bi_iter | __first,
|  | _Bi_iter | __last,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __re,
|  | regex_constants::match_flag_type | __flags = `regex_constants::match_default` |
| ) |  |  |

Indicates if there is a match between the regular expression `e` and all of the character sequence [first, last).

Parameters:

  | first | Beginning of the character sequence to match.
  | last | One-past-the-end of the character sequence to match.
  | re | The regular expression.
  | flags | Controls how the regular expression is matched.

Return values:

  | true | A match exists.
  | false | Otherwise.

Definition at line 1885 of file tr1_impl/regex.

References std::regex_match().

template<typename _Bi_iter, typename _Allocator, typename _Ch_type, typename _Rx_traits>

bool std::regex_match | ( | _Bi_iter | __first,
|  | _Bi_iter | __last,
|  | match_results< _Bi_iter, _Allocator > & | __m,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __re,
|  | regex_constants::match_flag_type | __flags = `regex_constants::match_default` |
| ) |  |  |

Determines if there is a match between the regular expression `e` and all of the character sequence [first, last).

Parameters:

  | first | Beginning of the character sequence to match.
  | last | One-past-the-end of the character sequence to match.
  | m | The match results.
  | re | The regular expression.
  | flags | Controls how the regular expression is matched.

Return values:

  | true | A match exists.
  | false | Otherwise.

Todo:
  Implement this function.

Definition at line 1864 of file tr1_impl/regex.

Referenced by std::regex_match().

template<typename _Rx_traits, typename _Ch_type>

basic_string<_Ch_type> std::regex_replace | ( | const basic_string< _Ch_type > & | __s,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __e,
|  | const basic_string< _Ch_type > & | __fmt,
|  | regex_constants::match_flag_type | __flags = `regex_constants::match_default` |
| ) |  |  | `[inline]`

Todo:
  Document me.

Definition at line 2119 of file tr1_impl/regex.

References std::back_inserter(), std::basic_string< _CharT, _Traits, _Alloc >::begin(), std::basic_string< _CharT, _Traits, _Alloc >::end(), and std::regex_replace().

template<typename _Out_iter, typename _Bi_iter, typename _Rx_traits, typename _Ch_type>

_Out_iter std::regex_replace | ( | _Out_iter | __out,
|  | _Bi_iter | __first,
|  | _Bi_iter | __last,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __e,
|  | const basic_string< _Ch_type > & | __fmt,
|  | regex_constants::match_flag_type | __flags = `regex_constants::match_default` |
| ) |  |  | `[inline]`

Todo:
  Implement this function.

  Document this function.

Definition at line 2107 of file tr1_impl/regex.

Referenced by std::regex_replace().

template<typename _Ch_traits, typename _Ch_alloc, typename _Allocator, typename _Ch_type, typename _Rx_traits>

bool std::regex_search | ( | const basic_string< _Ch_type, _Ch_traits, _Ch_alloc > & | __s,
|  | match_results< typename basic_string< _Ch_type, _Ch_traits, _Ch_alloc >::const_iterator, _Allocator > & | __m,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __e,
|  | regex_constants::match_flag_type | __f = `regex_constants::match_default` |
| ) |  |  | `[inline]`

Searches for a regular expression within a string.

Parameters:

  | s | [IN] A C++ string to search for the regex.
  | m | [OUT] The set of regex matches.
  | e | [IN] The regex to search for in `s`.
  | f | [IN] The search flags.

Return values:

  | true | A match was found within the string.
  | false | No match was found within the string, the content of m is undefined.

Definition at line 2091 of file tr1_impl/regex.

References std::basic_string< _CharT, _Traits, _Alloc >::begin(), std::basic_string< _CharT, _Traits, _Alloc >::end(), and std::regex_search().

template<typename _Ch_traits, typename _String_allocator, typename _Ch_type, typename _Rx_traits>

bool std::regex_search | ( | const basic_string< _Ch_type, _Ch_traits, _String_allocator > & | __s,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __e,
|  | regex_constants::match_flag_type | __flags = `regex_constants::match_default` |
| ) |  |  | `[inline]`

Searches for a regular expression within a string.

Parameters:

  | s | [IN] The string to search.
  | e | [IN] The regular expression to search for.
  | flags | [IN] Search policy flags.

Return values:

  | true | A match was found within the string.
  | false | No match was found within the string.

Todo:
  Document me.

Definition at line 2070 of file tr1_impl/regex.

References std::regex_search().

template<typename _Ch_type, typename _Rx_traits>

bool std::regex_search | ( | const _Ch_type * | __s,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __e,
|  | regex_constants::match_flag_type | __f = `regex_constants::match_default` |
| ) |  |  | `[inline]`

Searches for a regular expression within a C-string.

Parameters:

  | s | [IN] The C-string to search.
  | e | [IN] The regular expression to search for.
  | f | [IN] Search policy flags.

Return values:

  | true | A match was found within the string.
  | false | No match was found within the string.

Todo:
  Document me.

Definition at line 2052 of file tr1_impl/regex.

References std::regex_search().

template<typename _Ch_type, class _Allocator, class _Rx_traits>

bool std::regex_search | ( | const _Ch_type * | __s,
|  | match_results< const _Ch_type *, _Allocator > & | __m,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __e,
|  | regex_constants::match_flag_type | __f = `regex_constants::match_default` |
| ) |  |  | `[inline]`

Searches for a regular expression within a C-string.

Parameters:

  | s | [IN] A C-string to search for the regex.
  | m | [OUT] The set of regex matches.
  | e | [IN] The regex to search for in `s`.
  | f | [IN] The search flags.

Return values:

  | true | A match was found within the string.
  | false | No match was found within the string, the content of m is undefined.

Todo:
  Document me.

Definition at line 2034 of file tr1_impl/regex.

References std::regex_search().

template<typename _Bi_iter, typename _Ch_type, typename _Rx_traits>

bool std::regex_search | ( | _Bi_iter | __first,
|  | _Bi_iter | __last,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __re,
|  | regex_constants::match_flag_type | __flags = `regex_constants::match_default` |
| ) |  |  | `[inline]`

Searches for a regular expression within a range.

Parameters:

  | first | [IN] The start of the string to search.
  | last | [IN] One-past-the-end of the string to search.
  | re | [IN] The regular expression to search for.
  | flags | [IN] Search policy flags.

Return values:

  | true | A match was found within the string.
  | false | No match was found within the string.

Todo:
  Document me.

Definition at line 2012 of file tr1_impl/regex.

References std::regex_search().

template<typename _Bi_iter, typename _Allocator, typename _Ch_type, typename _Rx_traits>

bool std::regex_search | ( | _Bi_iter | __first,
|  | _Bi_iter | __last,
|  | match_results< _Bi_iter, _Allocator > & | __m,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __re,
|  | regex_constants::match_flag_type | __flags = `regex_constants::match_default` |
| ) |  |  | `[inline]`

Searches for a regular expression within a range.

Parameters:

  | first | [IN] The start of the string to search.
  | last | [IN] One-past-the-end of the string to search.
  | m | [OUT] The match results.
  | re | [IN] The regular expression to search for.
  | flags | [IN] Search policy flags.

Return values:

  | true | A match was found within the string.
  | false | No match was found within the string, the content of m is undefined.

Todo:
  Implement this function.

Definition at line 1993 of file tr1_impl/regex.

Referenced by std::regex_search().

template<typename _Bi_iter, typename _Allocator>

void std::swap | ( | match_results< _Bi_iter, _Allocator > & | __lhs,
|  | match_results< _Bi_iter, _Allocator > & | __rhs |
| ) |  |  | `[inline]`

Swaps two match results.

Parameters:

  | lhs | A match result.
  | rhs | A match result.

The contents of the two match_results objects are swapped.

Definition at line 1841 of file tr1_impl/regex.

References std::match_results< _Bi_iter, _Allocator >::swap().

template<typename _Ch_type, typename _Rx_traits>

void std::swap | ( | basic_regex< _Ch_type, _Rx_traits > & | __lhs,
|  | basic_regex< _Ch_type, _Rx_traits > & | __rhs |
| ) |  |  | `[inline]`

Swaps the contents of two regular expression objects.

Parameters:

  | lhs | First regular expression.
  | rhs | Second regular expression.

Definition at line 936 of file tr1_impl/regex.

References std::basic_regex< _Ch_type, _Rx_traits >::swap().